summaryrefslogtreecommitdiffstats
path: root/src/test/framework/build-script
diff options
context:
space:
mode:
Diffstat (limited to 'src/test/framework/build-script')
-rwxr-xr-xsrc/test/framework/build-script56
1 files changed, 31 insertions, 25 deletions
diff --git a/src/test/framework/build-script b/src/test/framework/build-script
index 35c4d5fa..579a8364 100755
--- a/src/test/framework/build-script
+++ b/src/test/framework/build-script
@@ -6,7 +6,7 @@
#
# OpenPOWER sbe Project
#
-# Contributors Listed Below - COPYRIGHT 2015,2018
+# Contributors Listed Below - COPYRIGHT 2015,2019
# [+] International Business Machines Corp.
#
#
@@ -41,32 +41,38 @@ source "$SBEROOT/src/test/framework/setup-env"
# Build SEEPROM Image
bash -c "make install -j" || exit -1
-# Create simics sandbox.
-create-sandbox > create-sandbox.log 2>&1 &
-CREATESANDBOX_PID=$!
+while read -d ':' p; do
-# Check sandbox create completion.
-wait $CREATESANDBOX_PID
-if [ $? -eq 0 ]; then
- cat create-sandbox.log
-else
- echo "----Sandbox creation failed."
- cat create-sandbox.log
- exit -1
-fi
+ export MACHINE_TYPE="$p"
+ echo "Setting up test simics for machine: '$MACHINE_TYPE'"
+
+ # Create simics sandbox.
+ create-sandbox > create-sandbox.log 2>&1 &
+ CREATESANDBOX_PID=$!
+
+ # Check sandbox create completion.
+ wait $CREATESANDBOX_PID
+ if [ $? -eq 0 ]; then
+ cat create-sandbox.log
+ else
+ echo "----Sandbox creation failed."
+ cat create-sandbox.log
+ exit -1
+ fi
-# Add SBE files to simics sandbox.
-populate-sandbox || exit -1
+ # Add SBE files to simics sandbox.
+ populate-sandbox || exit -1
-sbetest-start.sh || exit -1
+ sbetest-start.sh || exit -1
-# Check copyright completion.
-#wait $COPYRIGHT_PID
-#if [ $? -eq 0 ]; then
-# cat copyright.log
-#else
-# echo "----Copyright check failed."
-# cat copyright.log
-# exit -1
-#fi
+ # Check copyright completion.
+ #wait $COPYRIGHT_PID
+ #if [ $? -eq 0 ]; then
+ # cat copyright.log
+ #else
+ # echo "----Copyright check failed."
+ # cat copyright.log
+ # exit -1
+ #fi
+done <<< "$MACHINE:"
OpenPOWER on IntegriCloud